Skip to content

List all groups in the workspace

GET
/api/v1/iam/groups
curl --request GET \
--url 'https://example.com/api/v1/iam/groups?live=false'

Retrieves a list of all groups in the Databricks workspace.

count
Any of:
integer
>= 1 <= 1000

Maximum number of groups to return

start_index
Any of:
integer
>= 1

Starting index for pagination

filter
Any of:
string

SCIM filter expression

live
Live

Fetch live data from Databricks API instead of cached data

boolean

Fetch live data from Databricks API instead of cached data

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}